# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/checks.hpp File Reference

`#include <vl/config.hpp>`
`#include <cassert>`

## Namespaces
namespace | vl
| Visualization Library namespace.

## Defines
#define | VL_TRAP() {}
#define | VL_CHECK(expr) { if(!(expr)) { ::vl::log_failed_check(#expr,__FILE__,__LINE__); VL_TRAP() } }
#define | VL_WARN(expr) { if(!(expr)) { ::vl::log_failed_check(#expr,__FILE__,__LINE__); } }
## Functions
void | vl::log_failed_check (const char *, const char *, int)

## Define Documentation

#define VL_TRAP | ( |  | ) | {}

#define VL_CHECK | ( | expr |  | ) | { if(!(expr)) { ::vl::log_failed_check(#expr,__FILE__,__LINE__); VL_TRAP() } }

#define VL_WARN | ( | expr |  | ) | { if(!(expr)) { ::vl::log_failed_check(#expr,__FILE__,__LINE__); } }

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 29 11:11:39 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.